package de.amberhome.quickaction;

import java.lang.reflect.Field;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Hide;

public class RHelper {

	@Hide
	public static int getResourceId(String type, String resourceName) {
		int ret = 0;

		try {
			ret = (Integer) GetStaticField(BA.packageName + ".R$" + type, resourceName);
		}
		catch (Exception e) {
			e.printStackTrace();
		}

		return ret;
	}

	@Hide
	public static Object GetStaticField(String classname, String fieldName) throws Exception {
		Class<?> myClass = Class.forName(classname);
		try {
			Field field = myClass.getDeclaredField(fieldName);
			field.setAccessible(true);
			return field.get(null);
		}
		catch (Exception e) {
			Class<?> superClass = myClass.getSuperclass();
			if (superClass == null) {
				throw e;
			} else {
				Field field = (Field) GetStaticField(superClass.getName(), fieldName);
				field.setAccessible(true);
				return field.get(null);
			}
		}
	}
}
